package com.fjhx.service.material;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.material.MaterialEx;

import java.util.Map;

/**
 * <p>
 * 物料拓展表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-14
 */
public interface MaterialExService extends BaseService<MaterialEx> {

    Page<Map<String, Object>> getPage(Map<String, String> condition);

    void add(Map<String, Object> map);

    void edit(Map<String, Object> map);

    void delete(Map<String, Object> map);

}
